From b471e25a59241b6b60e75494ca7b8d775a4131a2 Mon Sep 17 00:00:00 2001
From: Frederic Cambus <fred@statdns.com>
Date: Thu, 21 Oct 2021 11:18:52 +0200
Subject: [PATCH] [clang] Support __float128 on DragonFlyBSD.

Differential Revision: https://reviews.llvm.org/D111760
---
 clang/lib/Basic/Targets/OSTargets.h | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/clang/lib/Basic/Targets/OSTargets.h b/clang/lib/Basic/Targets/OSTargets.h
index 3adb12568eeaa..f49e2200cd5b8 100644
--- a/clang/lib/Basic/Targets/OSTargets.h
+++ b/clang/lib/Basic/Targets/OSTargets.h
@@ -179,6 +179,8 @@ class LLVM_LIBRARY_VISIBILITY DragonFlyBSDTargetInfo
     Builder.defineMacro("__KPRINTF_ATTRIBUTE__");
     Builder.defineMacro("__tune_i386__");
     DefineStd(Builder, "unix", Opts);
+    if (this->HasFloat128)
+      Builder.defineMacro("__FLOAT128__");
   }
 
 public:
@@ -188,6 +190,7 @@ class LLVM_LIBRARY_VISIBILITY DragonFlyBSDTargetInfo
     default:
     case llvm::Triple::x86:
     case llvm::Triple::x86_64:
+      this->HasFloat128 = true;
       this->MCountName = ".mcount";
       break;
     }
